//コンポーネントの定義
const Counter = () => {
    //カウンターの値を保持する状態変数countを定義
    const [count, setCount] = React.useState(1);
    //出力するDOM構造を返す
    return (
        <div>
            <button
                onClick={() => setCount(count+1)}>
                ＋1
            </button>
            カウント：{count}
        </div>
    );
};
//コンポーネントの出力先を取得
const container = document.querySelector("#container");
//コンポーネントを表示（レンダリング）
ReactDOM.createRoot(container).render(<Counter/>);

